Index: /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist_ice
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist_ice	(revision 451)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist_ice	(revision 451)
@@ -0,0 +1,186 @@
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!
+! ICE namelist :  ice model option and parameter input
+! -------------
+!
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!       namicerun   Share parameters for dynamics/advection/thermo
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!
+!  ln_limdyn   : switch for ice dynamics (true) or not (false)
+!  acrit(1/2)  : minimum fraction for leads in the Northern (Southern) Hemisphere
+!  hnsdif      : computation of temperature in snow (=0.0) or not (=9999.0)
+!  hicdif      : computation of temperature in ice  (=0.0) or not (=9999.0)
+!
+&namicerun
+   ln_limdyn = .true. 
+   acrit     = 1.0e-06 , 1.0e-06
+   hsndif    = 0.0 
+   hicdif    = 0.0
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!       namiceini   parameters for ice initialisation
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!
+!  ln_limini : Ice initialization state flag
+!  ln_limdmp : restoring Ice thickness and Fraction leads flag
+!  ttest     : threshold water temperature for initial sea ice
+!  hninn     : initial snow thickness in the north
+!  hginn     : initial ice thickness in the north
+!  alinn     : initial leads area in the north
+!  hnins     : initial snow thickness in the south
+!  hgins     : initial ice thickness in the south
+!  alins     : initial leads area in the south
+!
+&namiceini
+   ln_limini = .FALSE. 
+   ln_limdmp = .FALSE. 
+   ttest = 2.0
+   hninn = 0.5
+   hginn = 3.0
+   alinn = 0.05
+   hnins = 0.1
+   hgins = 1.0
+   alins = 0.1
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!       namicedia   parameters for ice diagnostics
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!
+!  fmtinf : format of the output values 
+!  nfrinf : number of variables written in one line
+!  ntmoy  : instantaneous values of ice evolution or averaging
+!  ninfo  : frequency of ouputs on file ice_evolu in case of averaging
+!
+&namicedia
+   fmtinf = '1PE13.5 '
+   nfrinf = 4
+   ntmoy  = 1
+   ninfo  = 1
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!       namicedyn   parameters for ice dynamic
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!
+!  epsd   : tolerance parameter
+!  alpha  : coefficient for semi-implicit coriolis
+!  bound  : boundary conditions (=0.0 no-slip, =1.0 free-slip)
+!  dm     : diffusion constant for dynamics.
+!  nbiter : number of sub-time steps for relaxation
+!  nbitdr : maximum number of iterations for relaxation
+!  om     : relaxation constant 
+!  resl   : maximum value for the residual of relaxation 
+!  cw     : drag coefficient for oceanic stress
+!  angvg  : turning angle for oceanic stress
+!  pstar  : first bulk-rheology parameter
+!  c_rhg  : second bulk-rhelogy parameter
+!  etamn  : minimun value for viscosity
+!  creepl : creep limit
+!  ecc    : eccentricity of the elliptical yield curve
+!  ahi0   : horizontal eddy diffusivity coefficient for sea-ice (m2/s)
+!
+&namicedyn 
+   epsd   = 1.0e-20
+   alpha  = 0.5
+   dm     = 0.6e+03
+   nbiter = 1
+   nbitdr = 100
+   om     = 0.5
+   resl   = 5.0e-05
+   cw     = 5.0e-03
+   angvg  = 0.0
+   pstar  = 1.0e+04 
+   c_rhg  = 20.0
+   etamn  = 0.0e+07
+   creepl = 2.0e-08
+   ecc    = 2.0
+   ahi0   = 350.e0
+/
+!
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!       namicetrp   parameters for ice advection
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!  bound  : boundary conditions (=0.0 no-slip, =1.0 free-slip)
+&namicetrp 
+   bound  = 0.
+/
+
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!       namicethd   parameters for thermodynamic computation
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!
+!  hmelt       : maximum melting at the bottom
+!  hiccrit(1/2): ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+!                caution 1.0, 1.0 best value to be used!!! (gilles G.)
+!  hicmin      : ice thickness corr. to max. energy stored in brine pocket
+!  hiclim      : minimum ice thickness
+!  amax        : maximum lead fraction
+!  swiqst      : energy stored in brine pocket (=1) or not (=0)	
+!  sbeta       : numerical caracteritic of the scheme for diffusion in ice
+!               Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
+!  parlat      : percentage of energy used for lateral ablation
+!  hakspl      : slope of distr. for Hakkinen-Mellor's lateral melting
+!  hibspl      : slope of distribution for Hibler's lateral melting
+!  exld        : exponent for leads-closure rate
+!  hakdif      : coefficient for diffusions of ice and snow
+!  thth         : threshold thickness for comp. of eq. thermal conductivity
+!  hnzst       : thickness of the surf. layer in temp. computation
+!  parsub      : switch for snow sublimation or not
+!  alphs       : coefficient for snow density when snow ice formation
+! 
+&namicethd
+   hmelt   = -0.15
+   hiccrit = 0.3 , 0.3
+   hicmin  = 0.2
+   hiclim  = 0.05
+   amax    = 0.999 
+   swiqst  = 1.
+   sbeta   = 1.
+   parlat  = 0.0
+   hakspl  = 0.5
+   hibspl  = 0.5
+   exld    = 2.0
+   hakdif  = 1.0
+   thth    = 0.2
+   hnzst   = 0.1
+   parsub  = 1.0
+   alphs   = 1.0
+/
+!
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!       namiceout   parameters for outputs
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!
+!   noumef      : number of fields
+!   field
+!        title  : title of the field
+!        name   : name of the field
+!        unit   : unit of the field
+!        nc     : switch for saving field ( = 1 ) or not ( = 0 )
+!        cmulti : multiplicative constant
+!        cadd   : additive constant
+!
+&namiceout
+   noumef   = 19
+   field_1  = 'Snow thickness                     ', 'isnowthi', 'm       ', 1, 1.0, 0.0
+   field_2  = 'Ice thickness                      ', 'iicethic', 'm       ', 1, 1.0, 0.0
+   field_3  = 'Ice produced                       ', 'iiceprod', 'm/kt    ', 1, 1.0, 0.0
+   field_4  = 'Ice concentration                  ', 'ileadfra', '%       ', 1, -1.0, 1.0
+   field_5  = 'Ice temperature                    ', 'iicetemp', 'C       ', 1, 1.0, -273.15
+   field_6  = 'Oceanic flux at the ice base       ', 'ioceflxb', 'w/m2    ', 1, 1.0, 0.0
+   field_7  = 'Ice velocity u                     ', 'iicevelu', 'm/s     ', 1, 1.0, 0.0
+   field_8  = 'Ice velocity v                     ', 'iicevelv', 'm/s     ', 1, 1.0, 0.0
+   field_9  = 'Sea surface temperature            ', 'isstempe', 'C       ', 1, 1.0, -273.15
+   field_10 = 'Sea surface salinity               ', 'isssalin', 'PSU     ', 1, 1.0, 0.0
+   field_11 = 'Total flux at ocean surface        ', 'iocetflx', 'w/m2    ', 1, 1.0, 0.0
+   field_12 = 'Solar flux at ocean surface        ', 'iocesflx', 'w/m2    ', 1, 1.0, 0.0
+   field_13 = 'Non-solar flux at ocean surface    ', 'iocwnsfl', 'w/m2    ', 1, 1.0, 0.0
+   field_14 = 'Salt flux at ocean surface         ', 'iocesafl', 'kg/m2/kt', 1, 1.0, 0.0
+   field_15 = 'Wind stress u                      ', 'iocestru', 'Pa      ', 1, 1.0, 0.0
+   field_16 = 'Wind stress v                      ', 'iocestrv', 'Pa      ', 1, 1.0, 0.0 
+   field_17 = 'Solar flux at ice/ocean surface    ', 'iicesflx', 'w/m2    ', 1, 1.0, 0.0
+   field_18 = 'Non-solar flux at ice/ocean surface', 'iicenflx', 'w/m2    ', 1, 1.0, 0.0
+   field_19 = 'Snow precipitation                 ', 'isnowpre', 'kg/day  ', 1, 1.0, 0.0
+/      
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/AA_job	(revision 450)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/AA_job	(revision 451)
@@ -97,13 +97,20 @@
 cp ${R_EXPER}/namelist namelist
 
+#- Namelist for ocean and ice (agrif fine grid)
+cp ${R_EXPER}/1_namelist_ice 1_namelist_ice 
+cp ${R_EXPER}/1_namelist 1_namelist
+cp ${R_EXPER}/AGRIF_FixedGrids.in AGRIF_FixedGrids.in
+
 #- Files for the configuration and ocean dynamics
 Rapatrie ${R_TMP} ORCA2_LIM.tar
 
 #- Create links to be use in mpp on the number of processes
-typeset -Z3 i=0
+typeset -Z4 i=0
 while [ $i -lt $NB_PROC ]
 do
 ln coordinates.nc coordinates_${i}.nc
 ln geothermal_heating.nc geothermal_heating_${i}.nc
+ln 1_coordinates.nc 1_coordinates_${i}.nc
+ln 1_geothermal_heating.nc 1_geothermal_heating_${i}.nc
 let i=$i+1
 done
@@ -131,7 +138,7 @@
 
 #- Save ocean output files
-$DPUT ocean.output ${R_SORTIE_OCE}/ocean.output
-$DPUT solver.stat ${R_SORTIE_OCE}/solver.stat
-[ -f mpp.output* ] && $DPUT mpp.output* ${R_SORTIE_OCE}/.
+$DPUT *ocean.output ${R_SORTIE_OCE}/.
+$DPUT *solver.stat ${R_SORTIE_OCE}/.
+[ -f *mpp.output* ] && $DPUT *mpp.output* ${R_SORTIE_OCE}/.
 for file_netcdf in *_grid_*.nc
 do
@@ -140,5 +147,5 @@
 #
 #- Save ice output files
-for file_netcdf in *icemod.nc
+for file_netcdf in *icemod*
 do
 $DPUT ${file_netcdf} ${R_SORTIE_OCE}/${file_netcdf} 
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/AGRIF_FixedGrids.in
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/AGRIF_FixedGrids.in	(revision 451)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/AGRIF_FixedGrids.in	(revision 451)
@@ -0,0 +1,3 @@
+1
+125 170 36 63 4 4 2
+0
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 450)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 451)
@@ -362,5 +362,5 @@
 		@if [ ! -d ../../../lib/oce ] ; then mkdir ../../../lib/oce ; fi
 
-$(EXEC_BIN) :	libioipsl key keyverif src_file_list libagrif $(MODEL_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) agrif2model.o model.o
+$(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif src_file_list libagrif $(MODEL_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) agrif2model.o model.o
 ifeq ($(AGRIF),use)
 		$(F_L) $(L_X) -o $(EXEC_BIN) model.o agrif2model.o $(SXMODEL_LIB) $(OASISMPI2_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
@@ -624,5 +624,4 @@
 	$(MODEL_LIB)(domcfg.o) \
 	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -631,4 +630,5 @@
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(flxfwb.o) \
+	$(MODEL_LIB)(flxmod.o) \
 	$(MODEL_LIB)(iceini.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -675,5 +675,4 @@
 	domcfg.F90 \
 	dtasal.F90 \
-	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -682,4 +681,5 @@
 	eosbn2.F90 \
 	flxfwb.F90 \
+	flxmod.F90 \
 	iceini.F90 \
 	in_out_manager.F90 \
@@ -855,4 +855,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -878,4 +879,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -918,4 +920,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -941,4 +944,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -980,4 +984,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -1010,4 +1015,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -1077,4 +1083,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -1100,4 +1107,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -1237,4 +1245,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -1261,4 +1270,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -1492,4 +1502,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -1520,4 +1531,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -1606,4 +1618,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -1644,4 +1657,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -2780,4 +2794,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -2807,4 +2822,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -2861,4 +2877,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -2888,4 +2905,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -2942,4 +2960,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -2978,4 +2997,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -3062,4 +3082,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -3098,4 +3119,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -3256,4 +3278,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -3286,4 +3309,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -3349,4 +3373,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -3379,4 +3404,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -4030,4 +4056,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -4054,4 +4081,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -4099,36 +4127,32 @@
 	flxfwb.F90
 $(MODEL_LIB)(flxmod.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ocfzpt.o) \
+	$(MODEL_LIB)(phycst.o) \
 	daymod.F90 \
 	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(flxrnf.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	flxrnf.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -4300,4 +4324,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -4341,4 +4366,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -5073,5 +5099,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5091,5 +5116,4 @@
 	dom_oce.F90 \
 	dtasal.F90 \
-	dtasss.F90 \
 	dtatem.F90 \
 	in_out_manager.F90 \
@@ -5776,4 +5800,5 @@
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(flxfwb.o) \
+	$(MODEL_LIB)(flxmod.o) \
 	$(MODEL_LIB)(iceini.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5815,4 +5840,5 @@
 	eosbn2.F90 \
 	flxfwb.F90 \
+	flxmod.F90 \
 	iceini.F90 \
 	in_out_manager.F90 \
@@ -6293,4 +6319,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -6317,4 +6344,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -6366,7 +6394,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtatem.o) \
-	$(MODEL_LIB)(flxrnf.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -6387,7 +6413,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
-	dtasss.F90 \
 	dtatem.F90 \
-	flxrnf.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -6409,4 +6433,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -6429,4 +6454,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -6735,4 +6761,5 @@
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(flxfwb.o) \
+	$(MODEL_LIB)(flxmod.o) \
 	$(MODEL_LIB)(iceini.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6774,4 +6801,5 @@
 	eosbn2.F90 \
 	flxfwb.F90 \
+	flxmod.F90 \
 	iceini.F90 \
 	in_out_manager.F90 \
@@ -7561,4 +7589,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -7623,4 +7652,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -7709,4 +7739,5 @@
 	$(MODEL_LIB)(trazdf_iso.o) \
 	$(MODEL_LIB)(trazdf_iso_vopt.o) \
+	$(MODEL_LIB)(trcstp.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfbfr.o) \
@@ -7754,4 +7785,5 @@
 	trazdf_iso.F90 \
 	trazdf_iso_vopt.F90 \
+	trcstp.F90 \
 	zdf_oce.F90 \
 	zdfbfr.F90 \
@@ -8272,5 +8304,4 @@
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
@@ -8291,5 +8322,4 @@
 	lib_print.f90 \
 	oce.F90 \
-	ocfzpt.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -8306,5 +8336,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -8319,5 +8348,4 @@
 	dom_oce.F90 \
 	dtasal.F90 \
-	dtasss.F90 \
 	dtatem.F90 \
 	in_out_manager.F90 \
@@ -8796,4 +8824,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -8828,4 +8857,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -8883,4 +8913,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -8917,4 +8948,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -9778,4 +9810,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasss.o) \
 	$(MODEL_LIB)(dtasst.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -9803,4 +9836,5 @@
 	dom_oce.F90 \
 	dtasal.F90 \
+	dtasss.F90 \
 	dtasst.F90 \
 	dtatem.F90 \
@@ -10004,4 +10038,18 @@
 	KEY_CPP \
 	zpshde.F90
+# agrif previous use
+firstagrif:
+ifeq ($(AGRIF),use)
+	@if [ -z "`cat KEY_CPP | grep key_agrif`" ]; then $(RM) model.o $(MODDIR)/oce/*.mod $(MODEL_LIB) $(SXMODEL_LIB); fi
+else
+	@if [ -n "`cat KEY_CPP | grep key_agrif`" ]; then $(RM) -r OPAFILES model.o $(MODDIR)/oce/*.mod $(MODEL_LIB) $(SXMODEL_LIB); fi
+endif
+# recompile all in this case
+mpiagrif:
+ifeq ($(AGRIF),use)
+ifeq (,$(AGRIF_MPI))
+	@if [ -n "`cat KEY_CPP | grep key_mpp_mpi`" ]; then $(RM) -r OPAFILES model.o $(MODDIR)/oce/*.mod $(MODEL_LIB) $(SXMODEL_LIB); fi
+endif
+endif
 # key changing control
 key: 
